Package ch.qos.logback.core.joran.event.stax

## Class StartEvent

- java.lang.Object
- - ch.qos.logback.core.joran.event.stax.StaxEvent
  - - ch.qos.logback.core.joran.event.stax.StartEvent

    public class StartEvent
    extends StaxEvent

### Field Summary

Fields
`ElementPath` `elementPath`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<javax.xml.stream.events.Attribute>` `getAttributeList()`
`ElementPath` `getElementPath()`
`java.lang.String` `toString()`

### Methods inherited from class ch.qos.logback.core.joran.event.stax.StaxEvent

`getLocation, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### elementPath

    public ElementPath elementPath

### Method Detail

#### getElementPath

    public ElementPath getElementPath()

#### getAttributeList

    public java.util.List<javax.xml.stream.events.Attribute> getAttributeList()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`